[GET] List product
* Authentication
Required Authorization
Limit throttle:30,1
Request
Endpoint [GET] - /shop-api/pre-order/products/list?page=1
Headers
Authorization
Yes
Shop public API key Bearer token
1. Request Payload
GET query parameters (no JSON body).
keyword
string
No
""
Search via Shopify (title/SKU/etc.). Matched product/variant IDs filter the list.
page
integer
No
1
Page number (min 1).
Example
GET /shop-api/pre-order/products/list?keyword=hoodie&page=1
Authorization: Bearer token2. Success Response 200
3. Response Keys & Fields
Top-level
success
boolean
true on success
data
array
Product/variant rows for the current page
pagination
object
Pagination metadata for the filtered list
total_products
integer
pagination
total
integer
Total matching grouped rows
per_page
integer
Always 10
current_page
integer
Current page
last_page
integer
Last page
from
integer | null
First item index on this page
to
integer | null
Last item index on this page
data[] item
id
integer
DB row ID of the priority product record
product_id
integer | string
Shopify product ID
variant_id
integer | string
Shopify variant ID
profile_id
integer
Priority offer ID (same as priority_profile_id)
priority_profile_id
integer
Selected offer when the variant is in multiple offers
priority_type
string
Apply type of priority offer: product, collection, or all
all_profile_ids
string
Comma-separated offer IDs that include this variant
is_manual_assign
boolean
Whether the priority assignment is manual
limit
integer | null
Pre-order unit limit from the priority row
end_quantity
integer | null
End quantity threshold from the priority row
units_sold
integer | null
Units sold under the priority row
updated_at
string
Latest updated_at among grouped rows (used for sort)
Priority offer selection
When a variant belongs to multiple offers, priority is:
Manual assign (
is_manual_assign = true) firstThen apply type weight:
product(1) →collection(2) →all(3)Then newest offer
updated_at
4. Failed Response
Unexpected server error — HTTP 200
Empty result (still success)
Last updated
Was this helpful?